Index: Config.in
===================================================================
--- Config.in	(revision 30a444a477c81be74f78165f6098747231d11951)
+++ Config.in	(revision 9b99adace939793ca29510320484a10417a691dc)
@@ -217,21 +217,17 @@
 
         choice
-        prompt    "BLFS Release"
-        default    BLFS_GIT
-
-            config    BLFS_GIT
-            bool    "BLFS GIT"
-            help
-                Current development version as in trunk
+        prompt    "BLFS book version"
+        default    BLFS_BRANCH
+
+            config    BLFS_BRANCH
+            bool    "BLFS Branch (default trunk) or any commit"
+            help
+                Use a BLFS book downloaded from the git repository, and
+                checked out at any commit (branch/tag/sha).
 
             config    BLFS_WORKING_COPY
             bool    "BLFS working copy"
             help
-                A local working copy of the BLFS book.
-
-            config    BLFS_BRANCH
-            bool    "BLFS Branch or stable book"
-            help
-                A supported GIT branch or stable (tag) book release
+                Use a local working copy of the BLFS book.
         endchoice
 
@@ -243,7 +239,7 @@
             Full path to the BLFS book working copy
 
-        config    BLFS_BRANCH_ID
-        string    "BLFS Book Version (mandatory)"
-        default    "**EDIT ME**"
+        config    BLFS_COMMIT
+        string    "BLFS Book commit (branch/tag/sha)"
+        default   "trunk"
         depends on BLFS_BRANCH
         help
@@ -289,22 +285,18 @@
 
         choice
-        prompt    "LFS Release"
-        default    LFS_relGIT
+        prompt    "LFS book version"
+        default    LFS_BRANCH
         depends on    BOOK_BLFS
 
-            config    LFS_relGIT
-            bool     "LFS GIT"
-            help
-                Current development version as in trunk
+            config    LFS_BRANCH
+            bool     "LFS branch (default trunk) or any commit"
+            help
+                Use an LFS book downloaded from the git repository and
+                checked out at any commit (branch/tag/sha).
 
             config    LFS_WORKING_COPY
             bool     "LFS working copy"
             help
-                A local working copy of the LFS book.
-
-            config    LFS_BRANCH
-            bool     "LFS Branch or stable book"
-            help
-                A supported GIT branch or stable (tag) book release
+                Use a local working copy of the LFS book.
         endchoice
 
@@ -316,7 +308,7 @@
             Full path to the LFS book working copy"
 
-        config    BLFS_LFS_BRANCH_ID
-        string    "LFS Book Version (mandatory)"
-        default    "**EDIT ME**"
+        config    BLFS_LFS_COMMIT
+        string    "LFS Book Commit (mandatory)"
+        default   "trunk"
         depends on LFS_BRANCH
         help
Index: common/libs/func_install_blfs
===================================================================
--- common/libs/func_install_blfs	(revision 30a444a477c81be74f78165f6098747231d11951)
+++ common/libs/func_install_blfs	(revision 9b99adace939793ca29510320484a10417a691dc)
@@ -54,5 +54,5 @@
           REV=$INITSYS                           \
           LFS-BRANCH=${COMMIT}                   \
-          BLFS-BRANCH=${BLFS_TREE}               \
+          BLFS-BRANCH=${BLFS_COMMIT}             \
           update
 sudo make -j1 -C $BUILDDIR$BLFS_ROOT             \
@@ -62,5 +62,5 @@
           LFS-BRANCH="${COMMIT}"                 \
           BLFS_XML=$BUILDDIR$BLFS_ROOT/$BLFS_XML \
-          BLFS-BRANCH=${BLFS_TREE}               \
+          BLFS-BRANCH=${BLFS_COMMIT}             \
           $BUILDDIR$BLFS_ROOT/packages.xml
 
Index: common/libs/func_validate_configs.sh
===================================================================
--- common/libs/func_validate_configs.sh	(revision 30a444a477c81be74f78165f6098747231d11951)
+++ common/libs/func_validate_configs.sh	(revision 9b99adace939793ca29510320484a10417a691dc)
@@ -41,5 +41,5 @@
   # Additional variables
   local -r blfs_tool_PARAM_LIST="\
-     BLFS_TREE BLFS_BRANCH_ID BLFS_ROOT BLFS_XML TRACKING_DIR \
+     BLFS_COMMIT BLFS_ROOT BLFS_XML TRACKING_DIR \
      DEP_LIBXML DEP_LIBXSLT DEP_DBXML DEP_LYNX DEP_SUDO DEP_WGET \
      DEP_GIT DEP_GPM"
Index: install-blfs-tools.sh
===================================================================
--- install-blfs-tools.sh	(revision 30a444a477c81be74f78165f6098747231d11951)
+++ install-blfs-tools.sh	(revision 9b99adace939793ca29510320484a10417a691dc)
@@ -11,8 +11,8 @@
 BLFS_ROOT     : where the installed tools will be installed, relative to $HOME.
                 Must start with a '/' (default /blfs_root)
-BLFS_BRANCH_ID: development, branch-xxx, xxx (where xxx is a valid tag)
-                (default development)
-LFS_BRANCH_ID : development, branch-xxx, xxx (where xxx is a valid tag)
-                (default development)
+BLFS_COMMIT   : any commit (branch/tag/sha)
+                (default trunk)
+LFS_COMMIT    : any commit (branch/tag/sha)
+                (default trunk)
 Examples:
 1 - If you plan to use the tools to build BLFS on top of LFS, but you did not
@@ -68,16 +68,10 @@
 if [ "$BOOK_BLFS" = y ]; then
 ## Read variables and sanity checks
-  [[ "$relGIT" = y ]] && BLFS_BRANCH_ID=development
-  [[ "$BRANCH" = y ]] && BLFS_BRANCH_ID=$BRANCH_ID
+  [[ "$BRANCH" = y ]] && BLFS_COMMIT=$COMMIT
   [[ "$WORKING_COPY" = y ]] && BLFS_BOOK=$BOOK
-  [[ "$BRANCH_ID" = "**EDIT ME**" ]] &&
-    echo You have not set the BLFS book version or branch && exit 1
   [[ "$BOOK" = "**EDIT ME**" ]] &&
     echo You have not set the BLFS working copy location && exit 1
-  [[ "$LFS_relGIT" = y ]] && LFS_BRANCH_ID=development
-  [[ "$LFS_BRANCH" = y ]] && LFS_BRANCH_ID=$BLFS_LFS_BRANCH_ID
+  [[ "$LFS_BRANCH" = y ]] && LFS_COMMIT=$BLFS_LFS_COMMIT
   [[ "$LFS_WORKING_COPY" = y ]] && LFS_BOOK=$BLFS_LFS_BOOK
-  [[ "$LFS_BRANCH_ID" = "**EDIT ME**" ]] &&
-    echo You have not set the LFS book version or branch && exit 1
   [[ "$LFS_BOOK" = "**EDIT ME**" ]] &&
     echo You have not set the LFS working copy location && exit 1
@@ -91,6 +85,6 @@
 TRACKING_DIR="${TRACKING_DIR:=/var/lib/jhalfs/BLFS}"
 INITSYS="${INITSYS:=sysv}"
-BLFS_BRANCH_ID=${BLFS_BRANCH_ID:=development}
-LFS_BRANCH_ID=${LFS_BRANCH_ID:=development}
+BLFS_COMMIT=${BLFS_COMMIT:=trunk}
+LFS_COMMIT=${LFS_COMMIT:=trunk}
 BLFS_XML=${BLFS_XML:=blfs-xml}
 LFS_XML=${LFS_XML:=lfs-xml}
@@ -101,10 +95,10 @@
   PARAMS="$PARAMS WORKING_COPY BLFS_BOOK"
 else
-  PARAMS="$PARAMS BLFS_BRANCH_ID"
+  PARAMS="$PARAMS BLFS_COMMIT"
 fi
 if [ "$LFS_WORKING_COPY" = y ]; then
   PARAMS="$PARAMS LFS_WORKING_COPY LFS_BOOK"
 else
-  PARAMS="$PARAMS LFS_BRANCH_ID"
+  PARAMS="$PARAMS LFS_COMMIT"
 fi
 # Format for displaying parameters:
@@ -131,15 +125,4 @@
 
 [[ $VERBOSITY > 0 ]] && echo "${SD_BORDER}${nl_}"
-
-case $BLFS_BRANCH_ID in
-     development )  BLFS_TREE=trunk ;;
-        branch-* )  BLFS_TREE=${BLFS_BRANCH_ID#branch-} ;;
-               * )  BLFS_TREE=${BLFS_BRANCH_ID} ;;
-esac
-case $LFS_BRANCH_ID in
-  development )  LFS_TREE=trunk ;;
-     branch-* )  LFS_TREE=${LFS_BRANCH_ID#branch-} ;;
-            * )  LFS_TREE=${LFS_BRANCH_ID} ;;
-esac
 
 # Check for build prerequisites.
@@ -194,9 +177,7 @@
      REV=$INITSYS            \
      LFS_XML=$BUILDDIR$BLFS_ROOT/$LFS_XML      \
-     LFS-GIT=git://git.linuxfromscratch.org/lfs.git \
-     LFS-BRANCH=${LFS_TREE}                      \
+     LFS-BRANCH=${LFS_COMMIT}                      \
      BLFS_XML=$BUILDDIR$BLFS_ROOT/$BLFS_XML      \
-     GIT=git://git.linuxfromscratch.org/blfs.git \
-     BLFS-BRANCH=${BLFS_TREE}                    \
+     BLFS-BRANCH=${BLFS_COMMIT}                    \
      $BUILDDIR$BLFS_ROOT/packages.xml
 [[ $VERBOSITY > 0 ]] && echo "... OK"
Index: jhalfs
===================================================================
--- jhalfs	(revision 30a444a477c81be74f78165f6098747231d11951)
+++ jhalfs	(revision 9b99adace939793ca29510320484a10417a691dc)
@@ -244,25 +244,11 @@
 #  check_blfs_tools
   simple_message "${SD_BORDER}${nl_}"
-  BLFS_GIT=${BLFS_GIT:-n}
+  BLFS_BRANCH=${BLFS_BRANCH:-n}
   BLFS_WORKING_COPY=${BLFS_WORKING_COPY:-n}
-  BLFS_BRANCH=${BLFS_BRANCH:-n}
-  if [[ "${BLFS_GIT}" = "y" ]]; then
-    BLFS_BRANCH_ID=development
-    BLFS_TREE=trunk
-  elif [[ "${BLFS_WORKING_COPY}" = "y" ]]; then
-    if [[ ! -d "$BLFS_WC_LOCATION/postlfs" ]] ; then
+  if [[ "${BLFS_WORKING_COPY}" = "y" ]] &&
+     [[ ! -d "$BLFS_WC_LOCATION/postlfs" ]] ; then
       echo " BLFS tools: This is not a working copy: $BLFS_WC_LOCATION."
       echo " Please rerun make and fix the configuration."
       exit 2
-    fi
-    BLFS_TREE=$(cd $BLFS_WC_LOCATION; git branch --show-current)
-    BLFS_BRANCH_ID=${BLFS_TREE/trunk/development}
-  elif [[ "${BLFS_BRANCH}" = "y" ]] ; then
-    case $BLFS_BRANCH_ID in
-           *EDIT* )  echo " You forgot to set the BLFS branch or stable book version."
-                     echo " Please rerun make and fix the configuration."
-                     exit 2 ;;
-                * )  BLFS_TREE=${BLFS_BRANCH_ID#branch-}
-    esac
   fi
   load_file "${COMMON_DIR}/libs/func_install_blfs"
